{% macro glossary_link(link, name) %}
  <a
    class="link-secondary"
    href="{{ link }}"
    target="_blank"
    aria-label="Glossareintrag {{ name }} (öffnet in neuem Tab)"
    ><i class="bi bi-info-circle fs-6"></i
  ></a>
{% endmacro %}

{%- macro missing_icon() -%}
  <i class="bi bi-dash-circle"></i>
{% endmacro %}

{%- macro empty() -%}
  <i class="bi bi-dash-circle"></i>
{% endmacro %}

{%- macro empty_entry() -%}
  <span class="text-secondary d-flex flex-row gap-2">
    <i class="bi bi-dash-circle"></i> nicht vorhanden
  </span>
{% endmacro %}

{%- macro optional_text(value) -%}
  {% if value %}
    {{ value }}
  {% else %}
    {{ empty_entry() }}
  {% endif %}
{% endmacro %}
